## iroffer 1.4.b03

=== debian/changelog ===
iroffer (1.4.b03-7) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.
      - Created VCS fields.
      - Removed Homepage field. The upstream homepage no longer exists.
  * debian/copyright:
      - Added packaging rights for Adrian Bunk.
      - Updated packaging copyright years.
  * debian/patches/01_avoid_direct_changes.patch: fixed a spelling error in
    header.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform trivial CI tests.
  * debian/watch: added a fake site to explain about the current
      status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Apr 2020 13:28:53 -0300

iroffer (1.4.b03-6) unstable; urgency=medium

  * QA upload.
  * Don't disable PIE, this does no longer FTBFS.

 -- Adrian Bunk <bunk@debian.org>  Fri, 23 Jun 2017 07:45:33 +0300

iroffer (1.4.b03-5) unstable; urgency=medium

  * QA upload.
  * debian/control: removed the Vcs-* fields. The used domain is no longer
      available.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all information.
  * debian/patches/02_fix_spelling_errors.patch: added src/iroffer_dccchat.c
      file.
  * debian/rules:
      - Added the override_dh_auto_build target to pass some flag values to
        Makefile. The '-Werror=format-security' is not supported by current
        upstream source code. (see #813352)
      - Added the DEB_BUILD_MAINT_OPTIONS variable to increase the GCC
        hardening. The '-pie' option is not supported by current upstream
        source code. (see #813352)
  * debian/rules.old: a trash forgotten by me in last revision. Removed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Jan 2016 19:25:25 -0200

iroffer (1.4.b03-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #677771)
  * Migrations:
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 format.
      - DH level to 9.
  * debian/clean: created to remove some files forgotten after build.
  * debian/control:
      - Added the ${misc:Depends} variable to Depends field.
      - Bumped Standards-Version to 3.9.6.
      - Removed the obsolete field Dm-Upload-Allowed.
  * debian/patches/:
      - 01_avoid_direct_changes.patch: added to avoid inadequate changes in
        upstream source code.
      - 02_fix_spelling_errors.patch: added to fix some spelling errors.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 26 Jan 2016 15:55:30 -0200

iroffer (1.4.b03-3) unstable; urgency=medium

  * Fix FTBFS on GNU/kFreeBSD and on GNU/Hurd, thanks to Cyril
    Brulebois. (Closes: #414995)
  * Fix lintian warning "debian-rules-ignores-make-clean-error
    line 42".
  * Bump Standards-Version to 3.7.3.
  * Add the Homepage field.
  * Add the Vcs-Git/Vcs-Browser fields.
  * Add the DM-Upload-Allowed field.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Tue, 05 Feb 2008 16:32:17 +0100

iroffer (1.4.b03-2) unstable; urgency=low

  * Adopt the package (Closes: #211995).
  * Conform to policy with CFLAGS set to "-Wall -g -O2" and LDFLAGS
    set to none.
  * Intent to make it build on any architectures: manual begging to
    remove iroffer from Packages-arch-specific.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 22 Jul 2006 13:16:09 +0200

iroffer (1.4.b03-1) unstable; urgency=low

  * QA Upload
  * New Upstream Release
  * Fix spelling mistakes in Package Description (Closes: #363977)
  * Update debian/copyright
  * Conforms to new standards Version.
  * Remove convertxdccfile, src/iroffer_config.h, Makefile
    on clean.

 -- Michael Ablassmeier <abi@debian.org>  Mon,  8 May 2006 08:12:26 +0200

iroffer (1.4.b02-2) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Mon,  4 Jul 2005 15:25:57 +1000

iroffer (1.4.b02-1) unstable; urgency=low

  * New upstream release (Closes: #291941)
  * Created debian/watch file.

 -- Decklin Foster <decklin@red-bean.com>  Sun, 23 Jan 2005 23:56:37 -0500

iroffer (1.4.b01-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Wed, 17 Nov 2004 14:11:26 -0500

iroffer (1.3.b09-1) unstable; urgency=low

  * New upstream release (Closes: #217890, #249982)
  * Bumped Standards-Version to 3.6.1.

 -- Decklin Foster <decklin@red-bean.com>  Sat,  2 Oct 2004 07:05:38 -0400

iroffer (1.2b20-1) unstable; urgency=low

  * New upstream release
    - Fix 'lowbdwth' bug (Closes: #210349)

 -- Decklin Foster <decklin@red-bean.com>  Thu, 18 Sep 2003 13:28:28 -0400

iroffer (1.2b19-1) unstable; urgency=low

  * New upstream release (Closes: #201798)
    - respond to '!LIST nick' correctly (Closes: #191027)
    - fix delete headline on rehash (Closes: #193110)

 -- Decklin Foster <decklin@red-bean.com>  Fri, 18 Jul 2003 13:41:30 -0400

iroffer (1.2b15-1) unstable; urgency=low

  * New upstream release (Closes: #190908)
  * Use debhelper v4 and policy 3.5.9
  * Escape dashes in man page
  * Properly install upstream changelog

 -- Decklin Foster <decklin@red-bean.com>  Sat, 26 Apr 2003 21:37:14 -0400

iroffer (1.2b13-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #80378, #143688)
  * debian/rules: Updated to debhelper v3
  * debian/control: Updated description, bumped Standards-Version
  * Wrote man page
  * Set architecture back to 'any'. According to upstream all arch-specific
    code (on Linux, at least) has been removed since 1.1b4. If it still
    doesn't compile somewhere I intend to find out about the problem and fix
    it.


