=== debian/control ===
Source: iroffer
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/debian/iroffer
Vcs-Git: https://salsa.debian.org/debian/iroffer.git

Package: iroffer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IRC file distribution bot
 iroffer is a file server for IRC (commonly referred to as a DCC bot).
 It uses the DCC feature of IRC to send files to other users. iroffer
 will connect to an IRC server and let people request files from it.
 Unlike similar programs, iroffer is not a script; it is a standalone
 executable written entirely in C, from scratch, with high transfer
 speed and efficiency in mind. iroffer has been known to reach
 2MByte/sec or higher bandwidth usage when multiple transfers are
 occurring at the same time.
