=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./Configure

override_dh_auto_build:
	dh_auto_build -- LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
        CFLAGS="-O2 -g -fstack-protector-strong -Wformat"

override_dh_auto_install:
	$(MAKE) install INSDIR=$(CURDIR)/debian/iroffer/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs WHATSNEW
