=== debian/tests/control ===
Test-Command: iroffer
Restrictions: allow-stderr

Test-Command: iroffer -v
